WCSTOD_L(3)

NAME
wcstof_l, wcstod_l, wcstold_l - convert string to float, double or long double

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
#include <xlocale.h>
float
wcstof_l(const wchar_t * restrict nptr, wchar_t ** restrict endptr, locale_t loc);
long double
wcstold_l(const wchar_t * restrict nptr, wchar_t ** restrict endptr, locale_t loc);
double
wcstod_l(const wchar_t * restrict nptr, wchar_t ** restrict endptr, locale_t loc);

DESCRIPTION
The wcstof_l(), wcstod_l(), and wcstold_l() functions are extended locale versions of the wcstof(), wcstod(), and wcstold() functions, respectively. Refer to their manual pages for details. Also, see xlocale(3) for more information about extended locales.

SEE ALSO
wcstod(3), xlocale(3)